﻿#goto-top{
    position: absolute;
    top: -80px;
}
/*--------------header-style1-----------------*/
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
    background-color: #FFF;
    box-sizing: border-box;
    padding-top: 4px;
    transition: all .3s linear;
}
.header-style1.header2{
    box-shadow: 0 0 5px rgba(0,0,0,0.35);
}
.header-style1 .header-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
}
.header-style1 .header-logo{
    width: 300px;
    max-width: 100%;
    display: inline-block;
    position: relative;
    vertical-align: bottom;
    overflow: hidden;
}
.header-style1 .header-logo a{
    outline: none;
}
.header-style1 .header-logo a img{
    position: relative;
    top: 5px;
}
.header-style1 .header-logo span{
    display: inline-block;
    font-size: 30px;
    font-family: 'Noto Sans TC';
    font-weight: 700;
    letter-spacing: 1px;
    color: #000;
    vertical-align: bottom;
    transform: skewX(-10deg);
    padding-left: 20px;
    line-height: 2.2;
}
.header-style1 .header-menu-box{
    width: calc(100% - 300px);
    display: inline-block;
    vertical-align: bottom;
    margin-bottom: 15px;
    font-size: 0;
    text-align: right;
}
.header-style1 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    margin-right: 50px;
}
.header-style1 .header-menu> li:last-child{
    margin-right: 0;
}
.header-link-box{
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}
.header-menu-list-box li{
    margin-bottom: 30px
}

.header-menu-title{
    font-size: 14px;
    color: #555;
    position: relative;
    letter-spacing: 1px;
}
div.header-menu-title{
    cursor: context-menu;
}
.header-menu-title:after{
    content: '';
    width: 0%;
    height: 1px;
    background-color: #555;
    position: absolute;
    bottom: -2px;
    left: 0;
    transition: all .3s linear;
}

.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

.rwd-menu{
    width: 30px;
    max-width: 100%;
    position: absolute;
    right: 20px;
    z-index: 99999;
    display: none;
    top: calc(50% - 7px);
}
.rwd-menu span{
    width: 100%;
    display: block;
    margin: 0 auto;
    height: 2px;
    background-color: #000;
    position: relative;
}




/*漢堡樣式1*/
.rwd-menu-style1> span:nth-child(even){
    margin: 4px auto;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(4){
    top: -19px;
    transform:  scale(0,1) rotate(-45deg);
}
.rwd-menu-style1> span:nth-child(4){
    display: none;
}
.rwd-menu-style1 .rwd-menu-bth-line{
    transform: rotate(-45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line2{
    transform: rotate(45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line,
.rwd-menu-style1 .rwd-menu-bth-line2{
    position: absolute;
    top: 6px;
    left:0;
    width: 100%;
}
.rwd-menu-style1 .rwd-menu-bth-line span,
.rwd-menu-style1 .rwd-menu-bth-line2 span{
    transform:  scale(0,1);
    transition: all .5s ease;
    position: relative;
}
.rwd-menu-style1.active .rwd-menu-bth-line span,
.rwd-menu-style1.active .rwd-menu-bth-line2 span{
    transform:  scale(1,1) ;
    transition-delay: .1s;
}
.rwd-menu-style1.active> span:nth-child(1),
.rwd-menu-style1.active> span:nth-child(2),
.rwd-menu-style1.active> span:nth-child(3){
    transform: scale(0,1);
}
.rwd-menu-style1.active> span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0s;
}



@keyframes smallbig{
  0%, 100%{
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
  }

  50%{
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
  }
}


/*------------------------------------------*/

@media only screen and (max-width: 1280px){
    .header-style1 .header-box{
        width: 95%;
        margin: 0 auto;
    }
}

@media only screen and (max-width: 1000px){
    .header-style1 .header-menu-box{
        margin-bottom: 0;
    }
    .rwd-menu{
        display: block;
    }
    .header-style1 .rwd-menu{
        display: block;
    }

    .rwd-header-menu-sytle1 .header-menu{
        width: 200px;
        height: 100vh;
        position: fixed;
        top: 0;
        right: -200px;
        z-index: 3;
        display:         flex;
        display: -webkit-flex;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction:column;
        background-color: #f5f5f5;
        transition: all .3s linear;
    }
    .rwd-header-menu-sytle1 .header-menu.active{
        right: 0;
        box-shadow: 0 0 5px rgba(0,0,0,0.35);
    }
    .rwd-header-menu-sytle1 .header-menu> li{
        display: block;
        margin: 0;
        margin-bottom: 20px;
    }
    .rwd-header-menu-sytle1 .header-menu> li:last-child{
        margin-bottom: 0;
    }
    .header-style1 .header-logo img{
        width: 65px;
    }
    .header-style1 .header-logo span{
        font-size: 22px;
    }
}

@media only screen and (max-width: 550px){
    .header-style1 .header-logo img{
        width: 55px;
    }
    .header-style1 .header-logo span{
        font-size: 16px;
        padding-left: 10px;
    }
}





/*-------------hover------------*/
.header-style1 .header-menu> li.active .header-menu-title:after,
.header-menu-title:hover:after{
    width: 100%;
}